With tabs in the title bar, Firefox dialogs and target=_blank links open a new maximized window with tabs cut off at the top



In last nightly when i click the "Learn more" link in geolocation dialog, toolbars and tab bar move upwards to align to Firefox menu button. This happens obviously only with hidden menu bar and tabs on top.




a page that use geolocation (ex. 
is required to share the location, click "Learn more" link in the dialog
new windows opens

Tabs on top bar, navigation toolbar and bookmarks toolbar move upwards.


Behaviour should not change.

Tried in Windows  x64 with Windows Aero turned on.
